Summary: 	Perl module for Keyed-Hashing for Message Authentication
Name: 		perl-Digest-HMAC
Version: 	1.01
Release: 	1
License: 	Perl
Group: 		Applications/Text
Source0: 	http://search.cpan.org/author/GAAS/Digest-HMAC-1.01.tar.gz
URL: 		http://search.cpan.org/author/GAAS/Digest-HMAC-1.01/
Packager:	Riku Meskanen <mesrik@cc.jyu.fi>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5.004
Requires:	perl >= 5.004

%description
HMAC is used for message integrity checks between two parties that
share a secret key, and works in combination with some other Digest
algorithm, usually MD5 or SHA-1.  The HMAC mechanism is described in
RFC 2104.

The Digest::HMAC module follow the common Digest:: interface, but the
constructor takes the secret key and the name of some other simple
Digest:: module as argument.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Digest-HMAC-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix} perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
for i in $(find . -type f -print | xargs grep -l '#!/usr/local/bin/perl'); do
	cp -p $i $i.dist &&\
	sed 's/^\(#!\/usr\)\/local\(\/bin\/perl\)/\1\2/' < $i.dist >$i &&\
	rm -f $i.dist
done

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > filelist
if [ "$(cat filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f filelist
%defattr(-,root,root)

%changelog
* Sun Dec 15 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- initial build
